Bug 143200 - 3 * function declared but never referenced
3 * function declared but never referenced
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 05:21 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-29 01:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-17 05:21:09 EST
Description of problem:

I just tried to compile package db4-4.3.21-1 from 
Redhat Fedora development tree.

The compiler said

../../hash/hash_func.c(69): remark #177: function "hash1" was declared
but never referenced
../../hash/hash_func.c(89): remark #177: function "hash2" was declared
but never referenced
../../hash/hash_func.c(118): remark #177: function "hash3" was
declared but never referenced

Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2004-12-29 01:08:15 EST
Suggest to sleepy cat then, as db4 is packaged as closely
as possible to the upstream version.

Note You need to log in before you can comment on or make changes to this bug.